image: maven:3.8.4-openjdk-11-slim

pipelines:
  default:
    - step:
        caches:
          - maven
        script:
          - mvn -B verify
          #
          # publish asciidoc to snapshot:
          #
          - apt-get update
          - apt-get install git -y
          - cd target
          - git clone git@bitbucket.org:mobiliar/mobiliar.bitbucket.io.git mobiliar-website
          - cd mobiliar-website
          - git config user.name $GIT_RELEASE_USERNAME
          - git config user.email $GIT_RELEASE_EMAIL
          - mkdir -p mobitor-snapshot
          - cp -R ../../mobitor-base/target/classes/public/doc/* mobitor-snapshot/
          - git add -A
          - git commit --allow-empty -a -m "updated mobitor snapshot website"
          - git push
  custom:
    release:
      - step:
          caches:
            - maven
          deployment: production
          script:
            - apt-get update
            - apt-get install git gpg -y
            - openssl version
            - gpg --version
            - mvn -v
            - export NEW_VERSION=3.1.$BITBUCKET_BUILD_NUMBER
            - git config --global user.name "$GIT_RELEASE_USERNAME"
            - git config --global user.email $GIT_RELEASE_EMAIL
            - openssl aes-256-cbc -pass env:OPENSSL_PASSWORD -in mobiliar-private-key.gpg.enc -out mobiliar-private-key.gpg -d
            - export GPG_TTY=$(tty)
            - gpg --batch --import mobiliar-private-key.gpg
            - mvn -B -DnewVersion=$NEW_VERSION versions:set
            - mvn -B -P release,docs-and-sources -s settings-sonatype.xml clean deploy
            - git tag release/$NEW_VERSION
            - git push origin release/$NEW_VERSION
            #
            # publish asciidoc to latest:
            #
            - cd target
            - git clone git@bitbucket.org:mobiliar/mobiliar.bitbucket.io.git mobiliar-website
            - cd mobiliar-website
            - git config user.name $GIT_RELEASE_USERNAME
            - git config user.email $GIT_RELEASE_EMAIL
            - mkdir -p mobitor
            - cp -R ../../mobitor-base/target/classes/public/doc/* mobitor/
            - git add -A
            - git commit --allow-empty -a -m "updated mobitor website"
            - git push
